org.springframework.messaging.simp.user

## Class UserDestinationResult

- java.lang.Object
- - org.springframework.messaging.simp.user.UserDestinationResult

-     public class UserDestinationResult
      extends Object

  Contains the result from parsing a "user" destination from a source message and translating it to target destinations (one per active user session).
  Since:
    4.0.2
  Author:
    Rossen Stoyanchev
  See Also:
    `UserDestinationResolver`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserDestinationResult(String sourceDestination, Set<String> targetDestinations, String subscribeDestination, String user)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSourceDestination()` The "user" destination from the source message.
    `String` | `getSubscribeDestination()` The user destination in the form expected when a client subscribes, e.g.
    `Set<String>` | `getTargetDestinations()` The target destinations that the source destination was translated to, one per active user session, e.g.
    `String` | `getUser()` The user for this user destination.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserDestinationResult

          public UserDestinationResult(String sourceDestination,
                                       Set<String> targetDestinations,
                                       String subscribeDestination,
                                       @Nullable
                                       String user)

  - ### Method Detail

    - #### getSourceDestination

          public String getSourceDestination()

      The "user" destination from the source message. This may look like "/user/queue/position-updates" when subscribing or "/user/{username}/queue/position-updates" when sending a message.
      Returns:
        the "user" destination, never `null`.

    - #### getTargetDestinations

          public Set<String> getTargetDestinations()

      The target destinations that the source destination was translated to, one per active user session, e.g. "/queue/position-updates-useri9oqdfzo".
      Returns:
        the target destinations, never `null` but possibly an empty set if there are no active sessions for the user.

    - #### getSubscribeDestination

          public String getSubscribeDestination()

      The user destination in the form expected when a client subscribes, e.g. "/user/queue/position-updates".
      Returns:
        the subscribe form of the "user" destination, never `null`.

    - #### getUser

          @Nullable
          public String getUser()

      The user for this user destination.
      Returns:
        the user name or `null` if we have a session id only such as when the user is not authenticated; in such cases it is possible to use sessionId in place of a user name thus removing the need for a user-to-session lookup via `SimpUserRegistry`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`